import { Contact } from './threadService';

class ConversationService {

  public getMessages(threadId: string) {
    return Promise.resolve([
      {
        contact: {
          name: 'Mason Payne',
          address: '12345'
        },
        message: 'Hey there!'
      }
    ]);
  }

}

interface Message {
  contact: Contact;
  message: string;
}

const conversationService: ConversationService = new ConversationService();

export {
  Message,
  conversationService
}
